Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.http
Class URLPortletDefinition

    java.lang.Object
      |
      +--oracle.portal.provider.v2.PortletDefinition
            |
            +--oracle.portal.provider.v2.DefaultPortletDefinition
                  |
                  +--oracle.portal.provider.v2.http.URLPortletDefinition

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public synchronized class URLPortletDefinition
extends DefaultPortletDefinition

Constructor Summary
`URLPortletDefinition()`

Method Summary
`java.lang.String` | `getAccessControl()`
`java.lang.String` | `getRegistrationPortlet()`
`void` | `setAccessControl(java.lang.String)`
`void` | `setRegistrationPortlet(java.lang.String)`

Methods inherited from class oracle.portal.provider.v2.DefaultPortletDefinition
`addEvent, addInputParameter, deregister, getPersonalizationManager, getRenderer, getSecurityManager, hasAccess, postInitialize, preInitialize, register, setCacheLevel, setCallGetPortlet, setCallIsRunnable, setContainerRenderer, setDefaultLocale, setHasAbout, setHasHelp, setId, setLocalePersonalizationLevel, setMobileFlags, setPassAllUrlParams, setPersonalizationManager, setPortletBuilder, setPortletInstanceClass, setRenderer, setRewriteUrls, setSecurityManager, setShowDetails, setShowEdit, setShowEditDefault, setShowEditToPublic, setShowLink, setShowPreview, setTimeout, validate`

Methods inherited from class oracle.portal.provider.v2.PortletDefinition
`addAcceptContentType, addEvent, addInputParameter, callGetPortlet, callIsRunnable, getAcceptContentTypes, getCacheLevel, getContainerRenderer, getDefaultLocale, getDescription, getDescriptionKey, getEvents, getId, getInputParameters, getLocalePersonalizationLevel, getMinEditAuthLevel, getMobileFlags, getName, getNameKey, getPassAllUrlParams, getPortletBuilder, getPortletInstanceClass, getPreferenceStore, getProviderDefinition, getResourceBundle, getRewriteUrls, getShortTitle, getShortTitleKey, getShowEditToPublic, getTimeout, getTimeoutMessage, getTimeoutMessageKey, getTitle, getTitleKey, hasAbout, hasHelp, hasShowDetails, hasShowEdit, hasShowEditDefault, hasShowLink, hasShowPreview, init, setCacheLevel, setCallGetPortlet, setCallIsRunnable, setContainerRenderer, setDefaultLocale, setDescription, setDescriptionKey, setHasAbout, setHasHelp, setId, setLocalePersonalizationLevel, setMinEditAuthLevel, setMobileFlags, setName, setNameKey, setPassAllUrlParams, setPortletBuilder, setPortletInstanceClass, setPrefStoreName, setResource, setRewriteUrls, setShortTitle, setShortTitleKey, setShowDetails, setShowEdit, setShowEditDefault, setShowEditToPublic, setShowLink, setShowPreview, setTimeout, setTimeoutMessage, setTimeoutMessageKey, setTitle, setTitleKey, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLPortletDefinition

    public URLPortletDefinition()

Method Detail

### getAccessControl

    public java.lang.String getAccessControl()

### setAccessControl

    public void setAccessControl(java.lang.String)

### getRegistrationPortlet

    public java.lang.String getRegistrationPortlet()

### setRegistrationPortlet

    public void setRegistrationPortlet(java.lang.String)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.